Gentoo Archives: gentoo-dev

From: Alin Nastac <mrness@g.o>
To: gentoo-dev@l.g.o
Subject: Re: [gentoo-dev] RFC about another *DEPEND variable
Date: Sat, 23 Sep 2006 14:28:53
In Reply to: Re: [gentoo-dev] RFC about another *DEPEND variable by Mike Frysinger
Mike Frysinger wrote:
> On Thursday 21 September 2006 13:15, Alin Nastac wrote: > >> Unless you save the specific compatibility version of the net-dialup/ppp >> used by net-dialup/pptpd for building the package, I don't see how can >> it help me. >> Judging after /var/db/pkg content, I have no such information. >> > > it is all there right now actually :) > > check out the NEEDED file ... combine that with CONTENTS of other packages, > and you have all the binding info you want ...
I see only libraries in NEEDED and it is probably generated automatically. There is no way for the automatic tools to discover the dependency between pptpd and ppp version. Besides, even if I would have somehow /usr/lib/ppp/2.4.3 in NEEDED file of the pptpd, the amount of computation needed to discover which package offers such thing would be prohibitive. The reciprocal operation (find which packages use the old path before upgrade) would also be prohibitive.


File name MIME type
signature.asc application/pgp-signature


Subject Author
Re: [gentoo-dev] RFC about another *DEPEND variable Mike Frysinger <vapier@g.o>